Bug Hunting Session
Bug 88991 - VIEWING: Kerning issues with certain fonts like Arial
Summary: VIEWING: Kerning issues with certain fonts like Arial
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 89558 115939 116710 (view as bug list)
Depends on: 103322
Blocks: Font-Rendering Character
  Show dependency treegraph
 
Reported: 2015-01-31 19:18 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-06-17 02:47 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (8.79 KB, application/vnd.oasis.opendocument.text)
2015-01-31 19:18 UTC, Yousuf Philips (jay) (retired)
Details
Screenshots from 4.4.0.3 Win 7 (77.25 KB, image/jpeg)
2015-02-05 11:49 UTC, Buovjaga
Details
OpenDyslexic at 100% 5.1.2.2 on OS X. (24.65 KB, image/png)
2016-07-11 21:35 UTC, MarjaE
Details
Kerning.odt (sample file) (10.55 KB, application/octet-stream)
2018-06-15 19:12 UTC, OfficeUser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-01-31 19:18:02 UTC
Created attachment 113004 [details]
sample file

I stumbled on a discussion at http://www.osnews.com/thread?604330 which described kerning issues with Arial as can be seen in the following screenshots on Windows and Linux Mint.

Windows: http://www.deathshadow.com/images/stillKernsOnCrack.jpg
Linux Mint: http://bristolbraille.co.uk/shared/libreoffice_spacing.png

I can confirm this on master and this visual glitch seems to disappear at zooms like 180%. The problem also seems to happen with Times New Roman, but i didnt notice it with Liberation fonts.

Version: 4.5.0.0.alpha0+
Build ID: 39ac529d141dcd4de534eddbcc6c07bc49367b90
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-01-04_00:40:43
Comment 1 Buovjaga 2015-02-05 11:49:44 UTC
Created attachment 113143 [details]
Screenshots from 4.4.0.3 Win 7

Win 7 Pro 64-bit, LibO Version: 4.4.0.3
Build ID: de093506bcdc5fafd9023ee680b8c60e3e0645d7
Comment 2 Buovjaga 2015-02-05 11:51:15 UTC
There's a whiff of crack smoke in 100%, so setting to NEW.
Comment 3 Buovjaga 2015-02-27 09:25:17 UTC
*** Bug 89558 has been marked as a duplicate of this bug. ***
Comment 4 stijncornelissen 2015-02-27 12:14:56 UTC
Thanks Beluga for merging these my bug with this one. It could indeed be a duplicate. However, I would like to add a few points that (could) differ from the bus as posted by Jay Philips.

1. The problem is visually far more drastic in my case. Not just small differences in spacing between letters, but completely different font appearance and also changes in  bold / italic (appearance). See my original bug 89558 for an image that shows that.

2. My problem does not always happen at the same moment and is thus not exactly reproducable. The apps normally start out perfectly fine. After a while this can happen, not always. Risk factors seem to include having multiple LO-files open, especially between different apps. [Maybe this is also the case in Jay's bug, but I am not sure.]
Comment 5 stijncornelissen 2015-04-23 16:43:09 UTC
I have some new information following my previous post.

I am still suffering from these issues. Not just small spacing errors, like some other contributors to this topic are mentioning. But still complete sentences that shift in font size, italic, boldness, characters.

I have found that:
-often when I have this issue I soon after get a Ubuntu crash report saying that soffice.bin had a fatal error. Strangely, LibreOffice does not stop functioning, it just works in the meanwhile.
-closing and re-opening a file solves it for a while (of unknown length)
-the suggestion in a few internet sources found in Jay Philips post to force / use OpenGL rendering is not useful for me: it slows LibreOffice down tremendously, especially larger Calc sheets. Also, weird things start happening such as that the checkbox marks in my menu's get vertically flipped.

I am beginning to doubt whether my situation is the same as that of the other reporters of this bug.
Comment 6 steve -_- 2015-10-13 21:03:10 UTC
Anybody with new findings or persistince reports for LO 5.x?
Comment 7 stijncornelissen 2015-10-14 08:12:55 UTC
Steve, my problem is still there. As mentioned earlier, I doubt whether mine has to do with LO itself or rather with my graphics driver in combination with LO. If I can help with reporting something, let me know.
Comment 8 MarjaE 2016-07-11 21:35:16 UTC
Created attachment 126174 [details]
OpenDyslexic at 100% 5.1.2.2 on OS X.
Comment 9 Khaled Hosny 2017-06-28 15:48:22 UTC
This is most likely caused by the same underlying issue as bug 103322.
Comment 10 Xisco Faulí 2018-03-02 08:56:52 UTC
*** Bug 115939 has been marked as a duplicate of this bug. ***
Comment 11 V Stuart Foote 2018-03-31 04:17:58 UTC
*** Bug 116710 has been marked as a duplicate of this bug. ***
Comment 12 OfficeUser 2018-06-15 19:11:34 UTC Comment hidden (obsolete)
Comment 13 OfficeUser 2018-06-15 19:12:45 UTC Comment hidden (obsolete)
Comment 14 OfficeUser 2018-06-15 19:13:57 UTC Comment hidden (obsolete)
Comment 15 OfficeUser 2018-06-15 19:19:13 UTC Comment hidden (obsolete)
Comment 16 QA Administrators 2019-06-17 02:47:35 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug